Bug 666249

Summary: yelp does not display bolding, italics and cross-references in manual pages
Product: [Fedora] Fedora Reporter: Wendell Baker <wendellcraigbaker>
Component: yelpAssignee: Matthew Barnes <mbarnes>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 14CC: cristian.ciupitu, mbarnes
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-16 18:06:52 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
man tcpdump; manpage viewing in yelp 2.30.1; consider the "SEE ALSO" sections none

Description Wendell Baker 2010-12-29 15:44:59 EST
Description of problem:

yelp does not display manpages correctly.
One must use gnome-terminal and the man command to display manual pages.

The bolding and italics of the nroff macros is elided making the manpages barely readable with respect to options.  The "SEE ALSO" sections are particularly affected as the references are often elided entirely

Version-Release number of selected component (if applicable):
$ rpm -q yelp
yelp-2.30.1-1.fc13.i686


How reproducible:

100% deterministic

Steps to Reproduce:
1. yelp
2. man:tcpdump     also man:rsync
3.
  
Actual results:

SEE ALSO

(1), pcap(3PCAP), (4), (4P), (5),
(7)

see the enclosed actuality

Expected results:

SEE ALSO
       stty(1), pcap(3PCAP), bpf(4), nit(4P), pcap-savefile(5), pcap-filter(7)


Additional info:

This has been around for a long long time.  It would be swell if yelp could be a manpage viewer.
Comment 1 Wendell Baker 2010-12-29 15:48:03 EST
Created attachment 471106 [details]
man tcpdump; manpage viewing in yelp 2.30.1; consider the "SEE ALSO" sections
Comment 2 Cristian Ciupitu 2011-02-18 14:02:01 EST
I'm having the same problem with yelp-2.30.2-1.fc14.x86_64.

man nfs_selinux

SEE ALSO
       selinux(8), chcon(1), setsebool(8)


yelp man:nfs_selinux

SEE ALSO

  (8), (1), (8)
Comment 3 Bug Zapper 2011-05-30 08:20:51 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 08:49:41 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Cristian Ciupitu 2011-06-27 09:41:43 EDT
The problem exists with yelp-2.30.2-1.fc14.x86_64, too.
Comment 6 Cristian Ciupitu 2011-06-27 09:43:00 EDT
yelp-3.0.3-1.fc15.x86_64 doesn't seem to have this problem, at least with the nfs_selinux man page.
Comment 7 Fedora End Of Life 2012-08-16 18:06:54 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Cristian Ciupitu 2012-08-16 21:02:43 EDT
Fixed in yelp-3.4.2-1.fc17.x86_64.